import sqlite

inFile = open('homologene.data')

lines = inFile.readlines()
inFile.close()

db = sqlite.connect('homologene.db')
cursor = db.cursor()

cursor.execute('create table homolog(ID INTEGER PRIMARY KEY, homoloID varchar, genome varchar, gID varchar)')

for line in lines:
	doInsert = False
	sqlstmt = "INSERT into homolog(ID, homoloID, genome, gID) values "
	field = line.split('\t')
	if field[1] == '9606':
		sqlstmt += "(NULL, '%s','%s', '%s')" % (field[0], 'human', field[2])
		doInsert = True
	elif field[1] == '6239':
		sqlstmt += "(NULL, '%s','%s', '%s')" % (field[0], 'celegans', field[2])
		doInsert = True
	elif field[1] == '10090':
		sqlstmt += "(NULL, '%s','%s', '%s')" % (field[0], 'mouse', field[2])
		doInsert = True
	elif field[1] == '10116':
		sqlstmt += "(NULL, '%s','%s', '%s')" % (field[0], 'rat', field[2])
		doInsert = True
	elif field[1] == '7227':
		sqlstmt += "(NULL, '%s','%s', '%s')" % (field[0], 'dmelanogaster', field[2])
		doInsert = True
	elif field[1] == '4896':
		sqlstmt += "(NULL, '%s','%s', '%s')" % (field[0], 'pombe', field[2])
		doInsert = True
	elif field[1] == '4932':
		sqlstmt += "(NULL, '%s','%s', '%s')" % (field[0], 'yeast', field[2])
		doInsert = True
	elif field[1] == '5141':
		sqlstmt += "(NULL, '%s','%s', '%s')" % (field[0], 'neurospora', field[2])
		doInsert = True
	elif field[1] == '3702':
		sqlstmt += "(NULL, '%s','%s', '%s')" % (field[0], 'arabidopsis', field[2])
		doInsert = True

	if doInsert:
		cursor.execute(sqlstmt)

db.commit()
db.close()
