import sqlite

orthologyFile = 'hsggOrtho.txt'
homoloDB = 'homologene.db'

orthoFile = open(orthologyFile, 'r')

genomeA = 'human'
genomeB = 'chicken'

mapping = {}
print "building orthoFile"
for line in orthoFile:
	field = line.split()
	try:
		locus1 = field[1]
		locus2 = field[3]
		mapping[locus1] = locus2
	except:
		print 'could not process %s' % line
orthoFile.close()

db = sqlite.connect(homoloDB)
sql = db.cursor()

sql.execute('select * from homolog where genome = "%s" ' % genomeA)
results = sql.fetchall()

print "Updating %d entries in homolog table" % len(results)
for entry in results:
	(rowID, hID, genome, gID) = entry
	if gID in mapping:
		sql.execute('insert into homolog(ID, homoloID, genome, gID) values (NULL, "%s", "%s", "%s") ' % (hID, genomeB, mapping[gID]))
		del mapping[gID]
topHID = 0

print "Adding %d new homology entries" % len(mapping)
for gID in mapping:
	topHID += 1
	sql.execute('insert into homolog(ID, homoloID, genome, gID) values (NULL, "%s", "%s", "%s") ' % ( 'recblast-' + str(topHID), genomeA, gID))
	sql.execute('insert into homolog(ID, homoloID, genome, gID) values (NULL, "%s", "%s", "%s") ' % ('recblast-' + str(topHID), genomeB, mapping[gID]))

db.commit()
db.close()

