infile = open('/proj/genome/download/mouse.protein.faa','r')
outfile = open('/proj/genome/download/mouse.faa','w')
reffile = open('/proj/genome/download/gene2refseq','r')

ref2gene = {}

for line in reffile:
	fields = line.split('\t')
	if fields[0] != '10090':
		continue
	gid = fields[1]
	refid = fields[5]
	ref2gene[refid] = gid

seq = ''
for line in infile:
	if line[0] == '>':
		if len(seq) > 1:
			if gid != 'XXXXXXXX':
				outfile.write(seq + '\n')
		seq = ''
		fields = line.split('|')
		if fields[3] not in ref2gene:
			print '%s not in ref2gene!' % fields[3]
			gid = 'XXXXXXXX'
		else:
			gid = ref2gene[fields[3]]
			outfile.write('> %s \n' % gid)
	else:
		seq += line.strip()

outfile.close()
