from cistematic.seqsucker.infogene import Infogene
import sqlite
homoloDB = 'homologene.db'

idb = Infogene()
dmList = []

db = sqlite.connect(homoloDB)
sql = db.cursor()

sql.execute('select * from homolog where genome = "dmelanogaster" ')
results = sql.fetchall()

print "Updating %d entries in homolog table" % len(results)
counter = 0
for entry in results:
	(rowID, hID, genome, oldgID) = entry
	newgID = ''
	try:
		geneInfo = idb.getGeneInfo(('dmelanogaster',oldgID))
		newgID = geneInfo[1]
	except:
		print "could not find %s " % oldgID
		continue
	
	if newgID != '':
		sql.execute('update homolog set gID = "%s" where ID = %d' % (newgID, rowID))
		counter += 1

db.commit()
db.close()
print 'updated %d entries' % (counter)
