import sqlite

db = sqlite.connect('known_motifs.db')
sql = db.cursor()

ooTFDLocation = '/proj/genome/db/ooTFD/'

tfdFile = open(ooTFDLocation + 'tfsites.prolog','r')
tfdLines = tfdFile.readlines()
tfdFile.close()
        
index= 0
for line in tfdLines:
    fields = line[11:-2].split('"') #"
    name = fields[0][1:-2] 
    tfdSeq = fields[1]
    reference = fields[3]
    category = fields[5]

    cleanName = ''
    for letter in name:
        if letter == "'":
            cleanName += 'p'
        else:
            cleanName += letter
    stmt = "INSERT INTO motifs(ID, source, name, seq, reference, other_info) VALUES (NULL, '%s', '%s', '%s', '%s', '%s') " % ('ooTFD', cleanName, tfdSeq, reference, category)
    try:
        sql.execute(stmt)
    except:
        print stmt
    index += 1

db.commit()
db.close()
